List Targets
curl --request GET \
--url https://api.mindfort.app/v1/targets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/targets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/targets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"targets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"web_domain": "<string>",
"ip_address": "<string>",
"last_assessment_time": "2023-11-07T05:31:56Z",
"api_auth_instructions": "<string>",
"created_by": "user",
"created_by_user_id": "<string>",
"origin_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"total": 123,
"limit": 123,
"offset": 123,
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Targets
List Targets
List all targets in your organization using limit and offset pagination to discover which applications and assets are available for testing.
GET
/
v1
/
targets
List Targets
curl --request GET \
--url https://api.mindfort.app/v1/targets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/targets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/targets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"targets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"web_domain": "<string>",
"ip_address": "<string>",
"last_assessment_time": "2023-11-07T05:31:56Z",
"api_auth_instructions": "<string>",
"created_by": "user",
"created_by_user_id": "<string>",
"origin_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"total": 123,
"limit": 123,
"offset": 123,
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}承認
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
クエリパラメータ
Maximum number of targets to return
必須範囲:
1 <= x <= 100Number of records to skip for offset pagination
必須範囲:
x >= 0このページは役に立ちましたか?